using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationRNTLPRPTY
{
    public class RNTLPRPTY2019
    {
    public List<RPPrptySeqNumContext> RPPrptySeqNumContextCollection = null;
    public class RPPrptySeqNumContext
    {

        public string Id = null;
        public bool Exists = false;
        public int Count = 0;
        public int OccurrenceIndex = 0;
        public int LastOccurrenceIndex = 0;
        public string Identifier = null;
        public string IdentifierScheme = null;
        public string IdentifierTFN = null;
        public DateTime? StartDate = null;
        public DateTime? EndDate = null;

            public string RentalPropertyFinancialDetailsSequenceDimensionValue = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:ContextPeriodStartDate
            /// </summary>
            public DateTime? RNTLPRPTY100 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:ContextPeriodEndDate
            /// </summary>
            public DateTime? RNTLPRPTY101 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:Identifiers.TaxFileNumber.Identifier
            /// </summary>
            public string RNTLPRPTY102 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:Report.ItemOrder.Number
            /// </summary>
            public string RNTLPRPTY103 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:AddressDetails.SiteName.Text
            /// </summary>
            public string RNTLPRPTY107 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:AddressDetails.Line1.Text
            /// </summary>
            public string RNTLPRPTY108 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:AddressDetails.Line2.Text
            /// </summary>
            public string RNTLPRPTY109 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:AddressDetails.LocalityName.Text
            /// </summary>
            public string RNTLPRPTY110 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:AddressDetails.StateOrTerritory.Code
            /// </summary>
            public string RNTLPRPTY111 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:AddressDetails.Postcode.Text
            /// </summary>
            public string RNTLPRPTY112 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:RealEstateProperty.Ownership.Percent
            /// </summary>
            public decimal? RNTLPRPTY104 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:RealEstateProperty.RentalIncomeFirstEarned.Date
            /// </summary>
            public DateTime? RNTLPRPTY105 = null;
    
            /// <summary>
            /// RPPrptySeqNum:tns:RealEstateProperty.RentalWeeks.Count
            /// </summary>
            public decimal? RNTLPRPTY106 = null;
    }
    public List<RPPrptySeqNumTotalContext> RPPrptySeqNumTotalContextCollection = null;
    public class RPPrptySeqNumTotalContext
    {

        public string Id = null;
        public bool Exists = false;
        public int Count = 0;
        public int OccurrenceIndex = 0;
        public int LastOccurrenceIndex = 0;
        public string Identifier = null;
        public string IdentifierScheme = null;
        public string IdentifierTFN = null;
        public DateTime? StartDate = null;
        public DateTime? EndDate = null;

            public string RentalPropertyFinancialDetailsSequenceDimensionValue = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Report.ItemOrder.Number
            /// </summary>
            public string RNTLPRPTY113 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Income.RealEstateProperty.Rental.Amount
            /// </summary>
            public decimal? RNTLPRPTY114 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Income.RealEstateProperty.RentalRelatedOther.Amount
            /// </summary>
            public decimal? RNTLPRPTY115 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.Marketing.Amount
            /// </summary>
            public decimal? RNTLPRPTY116 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.BodyCorporate.Amount
            /// </summary>
            public decimal? RNTLPRPTY117 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.Borrowing.Amount
            /// </summary>
            public decimal? RNTLPRPTY118 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.Cleaning.Amount
            /// </summary>
            public decimal? RNTLPRPTY119 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.CouncilRates.Amount
            /// </summary>
            public decimal? RNTLPRPTY120 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.DepreciationandAmortisation.Amount
            /// </summary>
            public decimal? RNTLPRPTY121 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.Gardening.Amount
            /// </summary>
            public decimal? RNTLPRPTY122 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.Insurance.Amount
            /// </summary>
            public decimal? RNTLPRPTY123 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.LoanInterest.Amount
            /// </summary>
            public decimal? RNTLPRPTY124 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.LandTax.Amount
            /// </summary>
            public decimal? RNTLPRPTY125 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.LegalFees.Amount
            /// </summary>
            public decimal? RNTLPRPTY126 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.PestControl.Amount
            /// </summary>
            public decimal? RNTLPRPTY127 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.AgentFeesCommission.Amount
            /// </summary>
            public decimal? RNTLPRPTY128 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
            /// </summary>
            public decimal? RNTLPRPTY129 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
            /// </summary>
            public decimal? RNTLPRPTY130 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.OfficeSupplies.Amount
            /// </summary>
            public decimal? RNTLPRPTY131 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.Travel.Amount
            /// </summary>
            public decimal? RNTLPRPTY132 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.Water.Amount
            /// </summary>
            public decimal? RNTLPRPTY133 = null;
    
            /// <summary>
            /// RPPrptySeqNumTotal:tns:Expense.RealEstateProperty.Sundry.Amount
            /// </summary>
            public decimal? RNTLPRPTY134 = null;
    }
    public List<RPPrptySeqNumPortionContext> RPPrptySeqNumPortionContextCollection = null;
    public class RPPrptySeqNumPortionContext
    {

        public string Id = null;
        public bool Exists = false;
        public int Count = 0;
        public int OccurrenceIndex = 0;
        public int LastOccurrenceIndex = 0;
        public string Identifier = null;
        public string IdentifierScheme = null;
        public string IdentifierTFN = null;
        public DateTime? StartDate = null;
        public DateTime? EndDate = null;

            public string RentalPropertyFinancialDetailsSequenceDimensionValue = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Report.ItemOrder.Number
            /// </summary>
            public string RNTLPRPTY135 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Income.RealEstateProperty.Rental.Amount
            /// </summary>
            public decimal? RNTLPRPTY136 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Income.RealEstateProperty.RentalRelatedOther.Amount
            /// </summary>
            public decimal? RNTLPRPTY137 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.Marketing.Amount
            /// </summary>
            public decimal? RNTLPRPTY138 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.BodyCorporate.Amount
            /// </summary>
            public decimal? RNTLPRPTY139 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.Borrowing.Amount
            /// </summary>
            public decimal? RNTLPRPTY140 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.Cleaning.Amount
            /// </summary>
            public decimal? RNTLPRPTY141 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.CouncilRates.Amount
            /// </summary>
            public decimal? RNTLPRPTY142 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.DepreciationandAmortisation.Amount
            /// </summary>
            public decimal? RNTLPRPTY143 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.Gardening.Amount
            /// </summary>
            public decimal? RNTLPRPTY144 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.Insurance.Amount
            /// </summary>
            public decimal? RNTLPRPTY145 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.LoanInterest.Amount
            /// </summary>
            public decimal? RNTLPRPTY146 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.LandTax.Amount
            /// </summary>
            public decimal? RNTLPRPTY147 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.LegalFees.Amount
            /// </summary>
            public decimal? RNTLPRPTY148 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.PestControl.Amount
            /// </summary>
            public decimal? RNTLPRPTY149 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.AgentFeesCommission.Amount
            /// </summary>
            public decimal? RNTLPRPTY150 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.RepairsAndMaintenance.Amount
            /// </summary>
            public decimal? RNTLPRPTY151 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.CapitalWorksDeduction.Amount
            /// </summary>
            public decimal? RNTLPRPTY152 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.OfficeSupplies.Amount
            /// </summary>
            public decimal? RNTLPRPTY153 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.Travel.Amount
            /// </summary>
            public decimal? RNTLPRPTY154 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.Water.Amount
            /// </summary>
            public decimal? RNTLPRPTY155 = null;

            /// <summary>
            /// RPPrptySeqNumPortion:tns:Expense.RealEstateProperty.Sundry.Amount
            /// </summary>
            public decimal? RNTLPRPTY156 = null;
    }

    }
}
